<template>
  <div class="zSelect">
    <div>
      <div class="checkbox">
        <van-checkbox-group v-model="zSelectValuec" disabled>
          <van-checkbox
            :name="item.collectionOptionId + ''"
            v-for="(item, index) in zCheckboxcolumns"
            :key="index"
            shape="square"
            >{{ item.collectionOption }}
          </van-checkbox>
        </van-checkbox-group>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'zSelect',
  props: {
    zCheckboxcolumns: [],
    checkboxval: '',
    textc: '',
    rules: false,
    answerType: '',
    collectionType: '',
    level: '',
  },
  data() {
    return {
      zSelect: false,
      zSelectValuec: '',
    };
  },
  created() {
    this.checkboxvalFn();
  },
  methods: {
    checkboxvalFn() {
      if (this.checkboxval == '' || this.checkboxval == undefined) {
        this.zSelectValuec = [];
      } else {
        this.zSelectValuec = this.checkboxval.split(',');
      }
    },
  },
};
</script>

<style scoped>
.van-f-red {
  color: red;
  width: 4px;
  display: inline-block;
}

.zSelect .z-cell {
  padding: 10px 16px 0 16px;
  font-size: 16px;
}

/*.checkbox{padding: 10px 16px 0 16px;background-color: white;}*/
.checkbox .van-checkbox {
  padding-bottom: 10px;
}
</style>
<style lang="scss">
.zSelect {
  .checkbox .van-checkbox__icon .van-icon {
    border: 1px solid #333 !important;
  }

  .checkbox .van-checkbox__icon--checked .van-icon {
    border: 1px solid #1989fa !important;
    color: #1989fa;
    background-color: #fff;
  }
}
</style>
